[PC-BSD Commits] r3335 - in pbibuild/modules/kasablanca: . overlay-dir

svn at pcbsd.org svn at pcbsd.org
Mon Jan 26 13:04:45 PST 2009


Author: kris
Date: 2009-01-26 13:04:45 -0800 (Mon, 26 Jan 2009)
New Revision: 3335

Modified:
   pbibuild/modules/kasablanca/build.sh
   pbibuild/modules/kasablanca/copy-files
   pbibuild/modules/kasablanca/overlay-dir/PBI.FirstRun.sh
   pbibuild/modules/kasablanca/overlay-dir/PBI.RemoveScript.sh
   pbibuild/modules/kasablanca/overlay-dir/PBI.SetupScript.sh
Log:

Kasablanca is now 100% self-contained, and works great



Modified: pbibuild/modules/kasablanca/build.sh
===================================================================
--- pbibuild/modules/kasablanca/build.sh	2009-01-26 21:03:54 UTC (rev 3334)
+++ pbibuild/modules/kasablanca/build.sh	2009-01-26 21:04:45 UTC (rev 3335)
@@ -8,17 +8,3 @@
 # MODULEDIR = The location of the module directory for this PBI
 #   PORTVER = Version number of the port we used to build
 ##############################################################################
-
-# Get all the various language files and copy them to the PBI
-LANGFILE="kasablanca.mo"
-mkdir ${PBIDIR}/locale/
-cd /usr/local/share/locale
-for i in `ls`
-do
-  if [ -e "/usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}" ]
-  then
-    mkdir ${PBIDIR}/locale/${i}
-    cp /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE} ${PBIDIR}/locale/${i}/
-  fi
-done
-

Modified: pbibuild/modules/kasablanca/copy-files
===================================================================
--- pbibuild/modules/kasablanca/copy-files	2009-01-26 21:03:54 UTC (rev 3334)
+++ pbibuild/modules/kasablanca/copy-files	2009-01-26 21:04:45 UTC (rev 3335)
@@ -1,7 +1,5 @@
 /usr/local/bin/kasablanca bin/
 /usr/local/share/applnk/Utilities/kasablanca.desktop share/applnk/Utilities/
-/usr/local/share/apps/kasablanca share/apps/
-/usr/local/share/config.kcfg/kbconfig.kcfg share/config.kcfg
 /usr/local/share/doc/HTML/en/kasablanca share/doc/HTML/en/
 /usr/local/share/icons/hicolor/16x16/apps/kasablanca.png share/icons/hicolor/16x16/apps/
 /usr/local/share/icons/hicolor/22x22/apps/kasablanca.png share/icons/hicolor/22x22/apps/
@@ -9,5 +7,17 @@
 /usr/local/share/icons/hicolor/48x48/apps/kasablanca.png share/icons/hicolor/48x48/apps/
 /usr/local/share/icons/hicolor/64x64/apps/kasablanca.png share/icons/hicolor/64x64/apps/
 /usr/local/share/icons/hicolor/128x128/apps/kasablanca.png share/icons/hicolor/128x128/apps/
-
-
+/usr/local/share/apps share/
+/usr/local/share/config.kcfg share/config.kcfg
+/usr/local/share/config share/config
+/usr/local/share/services share/services
+/usr/local/share/servicetypes share/servicetypes
+/usr/local/share/mime share/mime
+/usr/local/share/mimelnk share/mimelnk
+/usr/local/libexec/gam* libexec/
+/usr/local/lib/kde3/*kio* autolibs/kde3/
+/usr/local/lib/kde3/*knoti* autolibs/kde3/
+/usr/local/lib/kde3/kded* autolibs/kde3/
+/usr/local/bin/kio* bin/
+/usr/local/bin/*dcop* bin/
+/usr/local/bin/*arts* bin/

Modified: pbibuild/modules/kasablanca/overlay-dir/PBI.FirstRun.sh
===================================================================
--- pbibuild/modules/kasablanca/overlay-dir/PBI.FirstRun.sh	2009-01-26 21:03:54 UTC (rev 3334)
+++ pbibuild/modules/kasablanca/overlay-dir/PBI.FirstRun.sh	2009-01-26 21:04:45 UTC (rev 3335)
@@ -15,34 +15,3 @@
 # echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
 # echo 'MSG: <text>' # Display this text above progress bar
 #########################################
-
-
-if [ -e "/usr/local/bin/kasablanca" ]
-then
-    # Looks like FF is installed, ask if they want to remove the old one
-    ls -al /usr/local/bin/kasablanca | grep Programs 2>/dev/null
-    if [ "$?" = "0" ]
-    then
-      kdialog --yesno "Kasablanca is already installed, do you wish to uninstall it?" 
-      if [ "$?" = "0" ]
-      then
-        FF="`ls -al /usr/local/bin/kasablanca | cut -d '>' -f 2 | cut -d "/" -f 3`"
-        echo $FF | grep Kasablanca 2>/dev/null
-        if [ "$?" = "0" ]
-        then
-          PBIdelete -remove ${FF}
-        else
-          kdialog --sorry "Kasablanca could not be automatically removed... Please remove it in Add / Remove Programs and try again."
-          return 2
-        fi
-      else
-        kdialog --sorry "Kasablanca is already installed, it must be uninstalled before loading this PBI"
-        return 2
-      fi
-      
-    else
-      # Could not find a link to PBI folder
-      kdialog --sorry "Kasablanca is already installed, it must be uninstalled before loading this PBI"
-      return 2
-    fi
-fi 

Modified: pbibuild/modules/kasablanca/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/kasablanca/overlay-dir/PBI.RemoveScript.sh	2009-01-26 21:03:54 UTC (rev 3334)
+++ pbibuild/modules/kasablanca/overlay-dir/PBI.RemoveScript.sh	2009-01-26 21:04:45 UTC (rev 3335)
@@ -1,46 +1,25 @@
-#!/bin/sh
-# Filename: PBI.RemoveScript.sh
-# Place any custom removal code here.
-# This script will be run before your program is deleted.
-# ${1} is the directory name.
-# ${2} is the username of person performing the deletion.
-# TIP: 'kdialog' should be used for user interaction. 
-#########################################
-rm -fR /usr/local/bin/kasablanca
-#rm -fR /usr/local/share/applnk/Utilities/kasablanca.desktop
-rm -fR /usr/local/share/apps/kasablanca
-rm -fR /usr/local/share/config.kcfg/kbconfig.kcfg
-rm -fR /usr/local/share/doc/HTML/en/kasablanca
-rm -fR /usr/local/share/icons/hicolor/16x16/apps/kasablanca.png
-rm -fR /usr/local/share/icons/hicolor/22x22/apps/kasablanca.png
-rm -fR /usr/local/share/icons/hicolor/32x32/apps/kasablanca.png
-rm -fR /usr/local/share/icons/hicolor/48x48/apps/kasablanca.png
-rm -fR /usr/local/share/icons/hicolor/64x64/apps/kasablanca.png
-rm -fR /usr/local/share/icons/hicolor/128x128/apps/kasablanca.png
-
-# Remove the old locale files since we are uninstalling
-LANGFILE="kasablanca.mo"
-cd /Programs/${PROGDIR}/locale
-for i in `ls`
-do
-  rm /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
-done
-
-
-if [ ! -z "$DISPLAY" ]
-then
- # Ask if we want to remove the user profiles
- kdialog --yesno "Do you want to remove Kasablanca user settings?" --title "Remove user settings"
- if [ "$?" = "0" ]
- then
-  cd /home
-  for i in `ls`
-  do
-   if [ -e "/home/${i}/.kasablanca" ]
-   then
-    rm -rf /home/${i}/.kasablanca
-   fi
-  done
- fi
-fi
-
+#!/bin/sh
+# Filename: PBI.RemoveScript.sh
+# Place any custom removal code here.
+# This script will be run before your program is deleted.
+# ${1} is the directory name.
+# ${2} is the username of person performing the deletion.
+# TIP: 'kdialog' should be used for user interaction.
+#########################################
+if [ ! -z "$DISPLAY" ]
+then
+ # Ask if we want to remove the user profiles
+ kdialog --yesno "Do you want to remove Kasablanca user settings?" --title "Remove user settings"
+ if [ "$?" = "0" ]
+ then
+  cd /home
+  for i in `ls`
+  do
+   if [ -e "/home/${i}/.kasablanca" ]
+   then
+    rm -rf /home/${i}/.kasablanca
+   fi
+  done
+ fi
+fi
+

Modified: pbibuild/modules/kasablanca/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/kasablanca/overlay-dir/PBI.SetupScript.sh	2009-01-26 21:03:54 UTC (rev 3334)
+++ pbibuild/modules/kasablanca/overlay-dir/PBI.SetupScript.sh	2009-01-26 21:04:45 UTC (rev 3335)
@@ -14,25 +14,14 @@
 # echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
 # echo 'MSG: <text>' # Display this text above progress bar
 #########################################
-ln -s /Programs/${PROGDIR}/.sbin/kasablanca /usr/local/bin/kasablanca
-#ln -s /Programs/${PROGDIR}/share/applnk/Utilities/kasablanca.desktop 
-/usr/local/share/applnk/Utilities/kasablanca.desktop
-ln -s /Programs/${PROGDIR}/share/apps/kasablanca /usr/local/share/apps/kasablanca
-ln -s /Programs/${PROGDIR}/share/config.kcfg/kbconfig.kcfg /usr/local/share/config.kcfg/kbconfig.kcfg
-ln -s /Programs/${PROGDIR}/share/doc/HTML/en/kasablanca /usr/local/share/doc/HTML/en/kasablanca
-ln -s /Programs/${PROGDIR}/share/icons/hicolor/16x16/apps/kasablanca.png /usr/local/share/icons/hicolor/16x16/apps/kasablanca.png
-ln -s /Programs/${PROGDIR}/share/icons/hicolor/22x22/apps/kasablanca.png /usr/local/share/icons/hicolor/22x22/apps/kasablanca.png
-ln -s /Programs/${PROGDIR}/share/icons/hicolor/48x48/apps/kasablanca.png /usr/local/share/icons/hicolor/48x48/apps/kasablanca.png
-ln -s /Programs/${PROGDIR}/share/icons/hicolor/64x64/apps/kasablanca.png /usr/local/share/icons/hicolor/64x64/apps/kasablanca.png
-ln -s /Programs/${PROGDIR}/share/icons/hicolor/128x128/apps/kasablanca.png /usr/local/share/icons/hicolor/128x128/apps/kasablanca.png
 
-# Copy over all the LANG files
-LANGFILE="kasablanca.mo"
-cd /Programs/${PROGDIR}/locale
-for i in `ls`
-do
-  mkdir -p /usr/local/share/locale/${i}/LC_MESSAGES >/dev/null 2>/dev/null
-  cp /Programs/${PROGDIR}/locale/${i}/${LANGFILE} /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
-done
+# Check which font config we want to link to
+if [ -d "/PCBSD/local/etc/fonts" ]
+then
+  ln -s /PCBSD/local/etc/fonts /Programs/${PROGDIR}/etc/fonts
+else
+  ln -s /usr/local/etc/fonts /Programs/${PROGDIR}/etc/fonts
+fi
 
-echo "LAUNCHCLOSE: /usr/local/bin/kasablanca"
+
+echo "LAUNCHCLOSE: /Programs/bin/kasablanca"



More information about the Commits mailing list